title: Design to Light

tabs:
  content:
    label: Contenu
    columns:
      - width: 1/1
        fields:
          sectionTitle:
            label: Titre de la présentation
            type: text
            width: 2/3
            required: true
          background:
            label: Image d'arrière-plan
            type: files
            multiple: false
            width: 1/3
            required: true
          introduction:
            label: Introduction
            type: writer
            marks: false
            nodes: false
            width: 2/3
            required: true
          presentation:
            label: Présentation
            type: layout
            layouts:
              - 1/2, 1/2
              - 1/3, 1/3, 1/3
            fieldsets:
              - type: button
                name: Card
                preview: fields
                wysiwyg: true
                icon: grid-full
                fields:
                  cover:
                    label: Image
                    type: files
                    layout: cards
                    size: large
                    multiple: false
                    image:
                      ratio: 16/9
                      cover: true
                  title:
                    label: Titre
                    type: text
                  text:
                    label: Texte
                    type: writer
                    marks: false
                    nodes:
                      - bulletList

  grades:
    label: Notes
    icon: badge
    fields:
      grades:
        label: Notes
        type: structure
        min: 5
        max: 5
        columns:
          letter:
            width: 1/10
          mention:
            width: 3/10
          comment:
            width: 6/10
        fields:
          letter:
            label: Lettre
            type: text
            disabled: false
          mention:
            type: text
          comment:
            label: Commentaire
            type: text
  files: tabs/files
